EDIT - feature request #7195

RegistrationWorkingsetEditor creates blocking relations for new basionym names
01/17/2018 08:35 AM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 4.14

Severity: normal

Description

Associated revisions

Revision e8674a36 - 02/02/2018 05:05 PM - Andreas Kohlbecker

ref #7195 introducing the concept of EditorActionContext stacks to facilitate creating blocking relations

Revision ee7eb9e7 - 02/02/2018 07:20 PM - Andreas Kohlbecker
ref #7195 enabling and highlighting blockedBy button

Revision 7b9ab0e4 - 02/06/2018 11:39 AM - Andreas Kohlbecker

ref #7195 creating blocking relations and showing 'em in the listView

Revision fa315d14 - 02/07/2018 09:11 AM - Andreas Kohlbecker

ref #7195 showing blocking registrations in RegistrationWorkingsetEditor

Revision 699de23b - 02/07/2018 02:38 PM - Andreas Kohlbecker

ref #7195 consistently displaying blocking registrations in list view and registration working set editor:
e RegistrationWorkingSetService method to load blocking registrations

¢ using ShowDetailsEvent to request presenters to show blocking registrations
e adapting layout

Revision 0773de61 - 02/07/2018 04:25 PM - Andreas Kohlbecker
ref #7195 hightlighting of blocked by buttons and layout improvement in reg lists

History

#1 - 01/17/2018 08:35 AM - Andreas Kohlbecker
- Status changed from New to In Progress

- Priority changed from New to Highest

#2 - 01/31/2018 12:48 PM - Andreas Miiller

- Target version changed from Release 4.13 to Release 4.14

#3 - 02/07/2018 02:40 PM - Andreas Kohlbecker
- Status changed from In Progress to Resolved

- % Done changed from 0 to 50

now blocking registrations are apparently fully implemented.

#4 - 02/07/2018 05:32 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100
